package com.uiui.zyappstore.bean;

import android.graphics.drawable.Drawable;

import java.io.Serializable;

public class UpdateAppInfo implements Serializable {

    private String appName;
    private String packageName;
    private int versionCode;
    private long newVersionCode;
    private String newVersionName;
    private String versionName;
    private String URL;
    private Drawable icon;
    private AppInfo appInfo;

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public int getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(int versionCode) {
        this.versionCode = versionCode;
    }

    public long getNewVersionCode() {
        return newVersionCode;
    }

    public void setNewVersionCode(long newVersionCode) {
        this.newVersionCode = newVersionCode;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getNewVersionName() {
        return newVersionName;
    }

    public void setNewVersionName(String newVersionName) {
        this.newVersionName = newVersionName;
    }

    public String getURL() {
        return URL;
    }

    public void setURL(String URL) {
        this.URL = URL;
    }

    public Drawable getIcon() {
        return icon;
    }

    public void setIcon(Drawable icon) {
        this.icon = icon;
    }

    public AppInfo getAppInfo() {
        return appInfo;
    }

    public void setAppInfo(AppInfo appInfo) {
        this.appInfo = appInfo;
    }
}
